Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQGfxDriverPlugin Class Reference

The TQGfxDriverPlugin class provides an abstract base for TQt/Embedded graphics driver plugins. More...

`#include <qgfxdriverplugin_qws.h>`

List of all member functions.

## Public Members

- TQGfxDriverPlugin ()
- ~TQGfxDriverPlugin ()
- virtual TQStringList keys () const = 0
- virtual TQScreen * create ( const TQString & driver, int displayId ) = 0

## Detailed Description

The TQGfxDriverPlugin class provides an abstract base for TQt/Embedded graphics driver plugins.

The graphics driver plugin is a simple plugin interface that makes it easy to create custom graphics drivers.

Writing a graphics driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `TQ_EXPORT_PLUGIN` macro. See the Plugins documentation for details.

This class is only available in TQt/Embedded.

See also Plugins.

## Member Function Documentation

### TQGfxDriverPlugin::TQGfxDriverPlugin ()

Constructs a graphics driver plugin. This is invoked automatically by the `TQ_EXPORT_PLUGIN` macro.

### TQGfxDriverPlugin::~TQGfxDriverPlugin ()

Destroys the graphics driver plugin.

You never have to call this explicitly. TQt destroys a plugin automatically when it is no longer used.

### TQScreen * TQGfxDriverPlugin::create ( const TQString & driver, int displayId )`[pure virtual]`

Creates a driver matching the type specified by driver, that will use display displayId.

See also keys().

### TQStringList TQGfxDriverPlugin::keys () const`[pure virtual]`

Returns the list of graphics drivers this plugin supports.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.